Hello! Also, packaging baresip for Fedora

Oron Peled oron at actcom.co.il
Mon Sep 30 07:35:33 UTC 2013


On Sunday 29 September 2013 21:22:24 Lars Kellogg-Stedman wrote:
> I went ahead and generated a patch to the Makefile that uses the
> package version for the library version.

That's wrong, as library versions represent API/ABI changes and
the numbering has different *semantics* than package version numbering.

[the libtool info file has a good introduction to ABI version numbering]

IMO, there are two alternatives:
 * If upstream decide to manage ABI versions that's best.
 * Otherwise, you can number the library as <n>.0.0 and increment
   <n> for every new upstream release -- which means we assume each
   of them breaks ABI compatibility :-(
   (since currently, this library has only one client, it shouldn't
   be too painful).

-- 
Oron Peled                                 Voice: +972-4-8228492
oron at actcom.co.il                  http://users.actcom.co.il/~oron
"I love deadlines, especially the whooshing sound they make as they go by." 
      -- Douglas Adams



More information about the devel mailing list